Tarylynn

Quick Start

Choosing folders to synchronise

First you must choose which folders you wish to synchronise. Browse thru the left and right folder trees until you find the folders you wish to synchronise.

Viewing contents

This step is optional. You may now press the View files or View differences button to see the contents of the folders you have chosen. A new window will pop up. Here will be listed all the files and folders within the folders you had selected. File size and date information will be filled in for files that exist in both folders selected.

This step may take a long time if the folders you have chosen have many files within them. The progress of each step will be displayed at the bottom of the window.

Choosing how to synchronise

Now you must choose how you wish to synchronise the selected folders. You can:

  • copy files from one side to the other if they are newer or do not exist in the target folder
  • delete files from the target folder which do not exist in the source folder

Hold your cursor over the sync buttons in the middle for a description on what they will do.

This may take a long time if the folders you have chosen have many files within them. The progress of each step will be displayed at the bottom of the window.

Simple example

Say you have some files in C:\Stuff which you wish to sync to your laptop connected as \\Laptop\

  • Create a folder called SyncStuff on your laptop. This will be seen as \\Laptop\SyncStuff
  • Find and select C:\Stuff in the left pane and select \\Laptop\SyncStuff in the right pane
  • Press the button in the middle that looks like +->
  • The files in C:\Stuff will be copied into the SyncStuff folder on your laptop

Now you have done some work on your laptop and want to sync it back to your desktop

  • Find and select C:\Stuff in the left pane and select \\Laptop\SyncStuff in the right pane
  • Press the button in the middle that looks like <-+
  • Any changes you have made will be copied back to C:\Stuff
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


What's New

Version 2.0.381

  • Added Options section
  • Menus section updated for File, Tools Menu
  • Updated File Details Window section
  • Updated Console section
  • Updated Scripting section

Version 1.7.280

  • Menus section updated for Options Menu
  • Updated File Details Window section

Version 1.6.203

  • Console sections added, all sections updated.

Version 1.5.156

  • Menus section updated for Options Menu
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


The Console

[ Parts of the console ]
[ Sync buttons ]

Parts of the console

Menus | See the help on Menus.
Labels | You can drag and drop a folder onto the label. The folder will be selected in the corresponding folder tree.
Folder tree | Displays the folders on your file system.
Sync buttons | See the help on the Sync buttons.
Progress bar | Shows the progress during a sync operation.
Buttons | Perform the same operation as their counterparts in the File menu.
Splitter | You can drag this to adjust the size of the left and right regions.
Back to the top

Sync buttons

Copies files from left to right. All files that don't exist, or are newer on the left are copied over to the right.
Copies files from right to left. All files that don't exist, or are newer on the right are copied over to the left.
Deletes files from the right. If a file on the right doesn't exist on the left, it will be deleted.
Deletes files from the left. If a file on the left doesn't exist on the right, it will be deleted.
Copies files from left to right and deletes files from the right.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Menus

[ File Menu ]
[ Tools Menu ]
[ Help Menu ]

File Menu

View files... | Opens the file details window and shows the files in the folder trees.
View differences... | Opens the file details window and shows the differences in the folder trees.
Run script... | Runs a sync script.
Recent folders | Shows recently used folders.
Exit | Exits Tarylynn.
Back to the top

Tools Menu

Get latest timestamps in folder tree | Searches the selected folders for the latest file change date.
Options... | Opens the options window.
Back to the top

Help Menu

View help... | Displays this page.
KanastaCorp on the Web | Opens KanastaCorp's webpage.
KanastaCorp community on the Web | Opens KanastaCorp's mailing list community page, where you can access announcement archives and software betas.
Register... | Displays the registration window.
About... | Displays important information about Tarylynn .
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


File Details Window

[ View files mode ]
[ View differences mode ]
[ Symbols ]

View files mode

View files mode

In View files mode, all files on each side are shown. File existing only on one side will not have details shown unless the Show details for new files option is selected.

See below for the meanings of the symbols
Back to the top

View differences mode

View differences mode

In View differences mode, only files which have changed are shown. Files missing or deleted from a side are also shown.

File existing only on one side will not have details shown unless the Show details for new files option is selected.

See below for the meanings of the symbols
Back to the top

Symbols

This is a new file, and does not exist on the other side.
This is a file that may be missing or deleted.
This file in the left folder tree is newer than the same file in the right folder tree.
This file in the right folder tree is newer than the same file in the left folder tree.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Scripting

Tarylynn can be scripted by system admins for automatic running. Simply create a command file, and call Tarylynn with it's path as the argument. The command file contains sets of 4-line actions. The lines are as follows:

  1. The full path of the folder to select in the left pane
  2. The full path of the folder to select in the right pane
  3. A number from 1 to 4, indicating which of the sync buttons in the middle of the window to execute:
    1 for [image], 2 for [image], 3 for [image], 4 for [image], 5 for
  4. A single letter Y or N indicating whether confirmation prompts should be displayed

For example, to copy files from C:\Stuff to \\Laptop\SyncStuff without prompts your command file would look like:

C:\Stuff
\\Laptop\SyncStuff
1
N

Save this file as "command.txt", then run Tarylynn using "\<path>\Tarylynn.exe command.txt"

You can have multiple sets of 4-line actions defined in a single command file. However, if any errors are encountered by Tarylynn, it will not execute the rest of the script. The unregistered version of Tarylynn can only run 2 actions.

Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Options Page

[ Appearance ]
[ Colors ]
[ Fonts ]

[ Behaviour ]
[ Window settings ]

[ Setup ]
[ Advanced ]
[ Environment ]

Appearance

Show Tarylynn in system tray | If selected, a Tarylynn icon will appear in the system tray.
Hide Tarylynn from taskbar when minimized | If selected, Tarylynn will not appear in the taskbar when minimized. Use the systray icon to restore Tarylynn.
Back to the top

Colors

This section allows you to select the colors used to display various parts of Tarylynn.

This section sets the 'hot tracking' color of your system. It is a system wide setting and may not be effective in all systems.
Back to the top

Fonts

This section allows you to select the fonts used to display the specified parts of Tarylynn.

The Others font is effective for all other interface fonts, and is useful for displaying non English characters in places such as the Output folder.
Back to the top

Behaviour

This section allows you to control what Tarylynn does when there is a problem during a file operation.

No matter which option you select, an error log will be displayed at the end of the file operation.
Back to the top

This section allows you to control the behaviour of the File Details Windows. To save time, file size and dates are not normally calculated for files existing only in one of the left or right panes. If selected, file details will be calculated for all files.
Back to the top

Windows Settings

Windows Settings 1

EasyMove | This allows you to move Tarylynn windows by dragging on any part of its window.
Snap to screen | If enabled, when any window is near the edge of the screen or another window, the window align to that edge. This option can only be enabled if EasyMove is selected.
Snap to screen activation | This determines the number of pixels from the edge of a screen that snap to screen activates. The default value is 12.

Windows Settings 2

This option will keep Tarylynn windows above all other normal windows. This is useful if you wish to have Tarylynn visible on your screen at all times.
Back to the top

Setup

Advanced

This section is for advanced users only. Please be careful about setting too high a priority, as it may have an impact on your other programs and may make your system unstable.
Back to the top

Environment

This section allows you to choose how many recent files are remembered and displayed in the recent files menu.

If selected, the options in the options page will be saved when you exit Tarylynn.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Notes

General

  • This program is free only for private and personal use. If you are a corporate user, you are required to purchase a license. Please purchase a license from our website.
  • If you are a private user, you can still support us by sending a donation.
  • Please visit our webpage to obtain the latest versions of this software. You can also send us any comments, suggestions, or bug reports, and join our community to receive the latest announcements from KanastaCorp.
  • This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

Tips

  • Whether network folders are shown may depend on your OS.
  • If network folders are not shown, map them to drive letters and they will appear in the folder tree.
  • If you cannot remember which files you updated last, check using the Tools->Get latest timestamps feature.
  • Before you make any changes to your system, check what files are in the folder trees using the View files feature.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Troubleshooting

DLLs and OCXs

  • Usually error messages and crashes are caused by missing DLLs or incorrect versions of DLLs. The first step is to get the latest, from the support area of the webpage. You will need the MFC and VB Runtime files. The CAB file can be opened with a program such as Winzip. Reboot after installing.
  • Tarylynn requires COMCTL32.DLL version 4.72 or later to run properly. If you get an error message about having the wrong version of COMCTL32.OCX, the problem may actually be that your version of COMCTL32.DLL is an older version. You can download the correct version from the webpage.
  • You also need the correct version of KanastaCorpUtils.dll and KanastaCorpComCtrls.dll. These can be obtained from the support area of the webpage.

General

  • Be sure you have the latest version of Tarylynn. Many problems may have been solved in the latest version. If you send a bug report about a problem in an old version of Tarylynn, your report will not be processed.
  • If you have any other repeatable problems which cannot be solved using the steps above, please use the bug report form on the KanastaCorp webpage.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.